perl-embperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alvaro Lopes <alvaro.lo...@criticalsoftware.com>
Subject Re: Segmentation faults in embperl2
Date Tue, 20 Sep 2005 14:03:52 GMT
Gerald Richter wrote:
>>Version of embperl is 2.0.0, mod_perl 2.0.1, apache 2.0.54 
>>(prefork mpm only), perl 5.8.4.
>>
>>Any ideas ?
>>
> 
> 
> How does your httpd.conf look like?
> 
> Did you load the C part with LoadModule and the Perl part (with PerlModule
> or use) both on startup?

using PerlModule seems to have fixed the problem. I'm using an handler
written by me and it has a "use Embperl" on top:
----
package myHandler;

use Apache2;
use Embperl;
----

Now with "PerlModule" in httpd.conf it's working ok.


Thanks.

> 
> Gerald
> 
> 




DISCLAIMER: This message may contain confidential information or privileged material and is
intended only for the individual(s) named. If you are not a named addressee and mistakenly
received this message you should not copy or otherwise disseminate it: please delete this
e-mail from your system and notify the sender immediately. E-mail transmissions are not guaranteed
to be secure or error-free as information could be intercepted, corrupted, lost, destroyed,
arrive late or incomplete or contain viruses. Therefore, the sender does not accept liability
for any errors or omissions in the contents of this message that arise as a result of e-mail
transmissions. Please request a hard copy version if verification is required. Critical Software.




Mime
View raw message